CREATE EXTENSION pg_trgm;
CREATE EXTENSION rbytea CASCADE;

CREATE SCHEMA IF NOT EXISTS qlad;

CREATE TABLE IF NOT EXISTS qlad.files (
    id VARCHAR(64) PRIMARY KEY,
    name TEXT NOT NULL,
    blob RBYTEA NOT NULL);

CREATE OR REPLACE PROCEDURE qlad.insert_file(id VARCHAR(64), name TEXT, blob BYTEA)
LANGUAGE SQL
AS $$
INSERT INTO qlad.files VALUES (id, name, blob::rbytea);
$$;
